const axios = require('axios')
export default {
    getCountStats(callback) {
        axios.get('/api/homepage/countStats').then(response => {
            callback(response);
        })
    },
    getItemCount(callback) {
        axios.get('/api/homepage').then(response => {
            callback(response);
        })
    },
    postItemCountGroupByDate(data, callback) {
        axios.post('/api/homepage/dategroup', data).then(response => {
            callback(response);
        })
    },
    getItemCountGroupByDate(callback) {
        axios.get('/api/homepage/dategroup').then(response => {
            callback(response);
        })
    },
    getItemCountGroupByTask(callback) {
        axios.get('/api/homepage/taskgroup').then(response => {
            callback(response);
        })
    },
    postItemCountGroupByTask(data, callback) {
        axios.post('/api/homepage/taskgroup', data).then(response => {
            callback(response);
        })
    }
}